function x = iswholenumber(A)
% [ x ] = iswholenumber( A )
% Tests if an array contains only whole numbers.
% x=~isinf(A) & floor(A)==A;
%
% Written by: tommsch, 2018

if(~isnumeric(A)); 
    x=false; 
    return; 
end;

x=~isinf(A) & floor(A)==A;

end
